import { SlashCommandBuilder } from "discord.js";

export default function getCommands() {
  const commands = [
    new SlashCommandBuilder()
      .setName("quote")
      .setDescription("Lets you post a qoute without showing your name")
      .addStringOption((option) =>
        option
          .setName("content")
          .setDescription("The content of the quote")
          .setRequired(true)
      ),
    new SlashCommandBuilder()
      .setName("quotemodal")
      .setDescription(
        "Shows a model which lets you post a quote without showing your name"
      ),
    new SlashCommandBuilder()
      .setName("actions")
      .setDescription("Handle actions on this server")
      .addSubcommand((subcommand) =>
        subcommand
          .setName("send")
          .setDescription("Sends bot actions in the current channel")
      ),
  ].map((command) => command.toJSON());

  return commands;
}
