import {
  ActionRowBuilder,
  ModalBuilder,
  TextInputBuilder,
  TextInputStyle,
} from "discord.js";

export default function getQuoteModal() {
  const modal = new ModalBuilder()
    .setCustomId("quoteModal")
    .setTitle("Submit a quote!");

  const contentInput = new TextInputBuilder()
    .setCustomId("contentInput")
    .setLabel("Content")
    .setStyle(TextInputStyle.Paragraph);

  const firstActionRow = new ActionRowBuilder().addComponents(contentInput);

  modal.addComponents(firstActionRow as any);

  return modal;
}
